be.fgov.ehealth.dics.protocol.v5

## Class ConsultCommentedClassificationType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultCommentedClassificationType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConsultCommentedClassificationTreeType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultCommentedClassificationType
      extends Object
      implements Serializable

  Java class for ConsultCommentedClassificationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultCommentedClassificationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="Content" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
               <element name="Url" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultCommentedClassificationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `String` | `getCode()` Gets the value of the code property.
    `ConsultTextType` | `getContent()` Gets the value of the content property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getPosologyNote()` Gets the value of the posologyNote property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `ConsultTextType` | `getTitle()` Gets the value of the title property.
    `ConsultTextType` | `getUrl()` Gets the value of the url property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setContent(ConsultTextType value)` Sets the value of the content property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setPosologyNote(ConsultTextType value)` Sets the value of the posologyNote property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
    `void` | `setUrl(ConsultTextType value)` Sets the value of the url property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultCommentedClassificationType

          public ConsultCommentedClassificationType()

  - ### Method Detail

    - #### getTitle

          public ConsultTextType getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `ConsultTextType`

    - #### setTitle

          public void setTitle(ConsultTextType value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getContent

          public ConsultTextType getContent()

      Gets the value of the content property.
      Returns:
        possible object is `ConsultTextType`

    - #### setContent

          public void setContent(ConsultTextType value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getPosologyNote

          public ConsultTextType getPosologyNote()

      Gets the value of the posologyNote property.
      Returns:
        possible object is `ConsultTextType`

    - #### setPosologyNote

          public void setPosologyNote(ConsultTextType value)

      Sets the value of the posologyNote property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getUrl

          public ConsultTextType getUrl()

      Gets the value of the url property.
      Returns:
        possible object is `ConsultTextType`

    - #### setUrl

          public void setUrl(ConsultTextType value)

      Sets the value of the url property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.